/*
    Auteur: Danilo Anzile
    Date: 07.06.2021
    Version: 1
    Page: contact.php
*/

/* Formulaire de contact*/

.form {
  width: 340px;
  height: 440px;
  background: #fff;
  border-radius: 8px;
  box-shadow: 0 0 40px -10px #666;
  margin: calc(50vh - 260px) auto;
  padding: 20px 30px;
  max-width: calc(100vw - 40px);
  box-sizing: border-box;
  font-family: "Cinzel", serif;
  position: relative;
}
h2 {
  margin: 10px 0;
  padding-bottom: 10px;
  width: 180px;
  color: #222;
  border-bottom: 3px solid #222;
}
input {
  width: 100%;
  padding: 10px;
  box-sizing: border-box;
  background: none;
  outline: none;
  resize: none;
  border: 0;
  font-family: "Cinzel", serif;
  transition: all 0.3s;
  border-bottom: 2px solid #000;
}
input:focus {
  border-bottom: 2px solid #000;
}
p:before {
  content: attr(type);
  display: block;
  margin: 28px 0 0;
  font-size: 14px;
  color: #5a5a5a;
}
button {
  float: right;
  padding: 8px 12px;
  margin: 8px 0 0;
  font-family: "Cinzel", serif;
  border: 2px solid #555;
  background: 0;
  color: #5a5a6e;
  cursor: pointer;
  transition: all 0.3s;
}
button:hover {
  background: #78788c;
  color: #fff;
}
p.success{
  color: green;
}
p.error{
  color: red;
}

/* Responsive */
@media only screen and (max-width: 1040px) {
  .form{
    margin: calc(50vh - 325px) auto;
  }
}